# Uses of Interface
org.eclipse.emf.compare.match.IMatchEngine

Packages that use IMatchEngine
Package
Description
org.eclipse.emf.compare.match
org.eclipse.emf.compare.match.impl
org.eclipse.emf.compare.rcp.internal.match

## Uses of IMatchEngine in org.eclipse.emf.compare.match

Classes in org.eclipse.emf.compare.match that implement IMatchEngine
Modifier and Type
Class
Description
`class`
`DefaultMatchEngine`
The Match engine orchestrates the matching process : it takes an `scope` as input, iterates over its `left`, `right` and `origin` roots and delegates to `IResourceMatcher`s and `IEObjectMatcher`s in order to create the result `Comparison` model for this scope.
Methods in org.eclipse.emf.compare.match that return IMatchEngine
Modifier and Type
Method
Description
`static IMatchEngine`
DefaultMatchEngine.`create(UseIdentifiers useIDs)`
Helper creator method that instantiate a `DefaultMatchEngine` that will use identifiers as specified by the given `useIDs` enumeration.
`static IMatchEngine`
DefaultMatchEngine.`create(UseIdentifiers useIDs, WeightProvider.Descriptor.Registry weightProviderRegistry)`
Helper creator method that instantiate a `DefaultMatchEngine` that will use identifiers as specified by the given `useIDs` enumeration.
`static IMatchEngine`
DefaultMatchEngine.`create(UseIdentifiers useIDs, WeightProvider.Descriptor.Registry weightProviderRegistry, Collection<IResourceMatchingStrategy> strategies)`
Helper creator method that instantiate a `DefaultMatchEngine` that will use identifiers as specified by the given `useIDs` enumeration.
`static IMatchEngine`
DefaultMatchEngine.`create(UseIdentifiers useIDs, WeightProvider.Descriptor.Registry weightProviderRegistry, EqualityHelperExtensionProvider.Descriptor.Registry equalityHelperExtensionProviderRegistry, Collection<IResourceMatchingStrategy> strategies)`
Helper creator method that instantiate a `DefaultMatchEngine` that will use identifiers as specified by the given `useIDs` enumeration.
`IMatchEngine`
IMatchEngine.Factory.`getMatchEngine()`
Returns the wrapped match engine.

## Uses of IMatchEngine in org.eclipse.emf.compare.match.impl

Fields in org.eclipse.emf.compare.match.impl declared as IMatchEngine
Modifier and Type
Field
Description
`protected IMatchEngine`
MatchEngineFactoryImpl.`matchEngine`
The match engine created by this factory.
Methods in org.eclipse.emf.compare.match.impl that return IMatchEngine
Modifier and Type
Method
Description
`IMatchEngine`
MatchEngineFactoryImpl.`getMatchEngine()`
Returns the wrapped match engine.

## Uses of IMatchEngine in org.eclipse.emf.compare.rcp.internal.match

Methods in org.eclipse.emf.compare.rcp.internal.match that return IMatchEngine
Modifier and Type
Method
Description
`IMatchEngine`
DefaultRCPMatchEngineFactory.`getMatchEngine()`
Returns the wrapped match engine.